<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use \App\Models\TipoCliente;

class TipoClientesController extends Controller
{
    public function index()
    {
        return TipoCliente::all();        
    }

    public function create()
    {
    }

    public function store(Request $request)
    {
        if (! $request->name) {
            return ['status' => 'error', 'message' => 'Debe indicar el nombre'];
        }
        $data = TipoCliente::create($request->all());

        return ['status' => 'succes', 'data' => $data];
    }

    public function show($id)
    {
    }

    public function edit($id)
    {
    }

    public function update(Request $request, $id)
    {
        $item = TipoCliente::find($id);
        if (! $item) {
            return ['status' => 'error', 'message' => 'Registro No encontrado!'];
        }
        if (! $request->name) {
            return ['status' => 'error', 'message' => 'Debe indicar el nombre'];
        }

        $item->fill($request->all())->save();

        return ['status' => 'succes', 'data' => $item];
    }

    public function destroy($id)
    {
        $item = TipoCliente::find($id);
        $item->delete();
        return ['status' => 'succes', 'data' => $id];
    }
}
